# Uses of Class
java.beans.Statement

Packages that use Statement
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of Statement in java.beans

Subclasses of Statement in java.beans
Modifier and Type
Class
Description
`class`
`Expression`
An `Expression` object represents a primitive expression in which a single method is applied to a target and a set of arguments to return a result - as in `"a.getFoo()"`.
Methods in java.beans with parameters of type Statement
Modifier and Type
Method
Description
`void`
Encoder.`writeStatement​(Statement oldStm)`
Writes statement `oldStm` to the stream.
`void`
XMLEncoder.`writeStatement​(Statement oldStm)`
Records the Statement so that the Encoder will produce the actual output when the stream is flushed.